Bug 694875 - [abrt] yumex-3.0.2-1.fc14: gui.py:296:show_update:TypeError: 'NoneType' object is not subscriptable
Summary: [abrt] yumex-3.0.2-1.fc14: gui.py:296:show_update:TypeError: 'NoneType' objec...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yumex
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:79dcbe19
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-08 17:18 UTC by al morris
Modified: 2011-05-14 00:00 UTC (History)
17 users (show)

Fixed In Version: yumex-3.0.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-03 04:49:26 UTC


Attachments (Terms of Use)
File: backtrace (676 bytes, text/plain)
2011-04-08 17:18 UTC, al morris
no flags Details

Description al morris 2011-04-08 17:18:22 UTC
abrt version: 1.1.17
architecture: x86_64
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
component: yumex
executable: /usr/share/yumex/yumex.pyc
kernel: 2.6.35.11-83.fc14.x86_64
package: yumex-3.0.2-1.fc14
reason: gui.py:296:show_update:TypeError: 'NoneType' object is not subscriptable
release: Fedora release 14 (Laughlin)
time: 1302283000
uid: 500

backtrace
-----
gui.py:296:show_update:TypeError: 'NoneType' object is not subscriptable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/yumexgui/gui.py", line 257, in on_button_clicked
    self.update_console(key)
  File "/usr/lib/python2.7/site-packages/yumexgui/gui.py", line 283, in update_console
    self.show_update()
  File "/usr/lib/python2.7/site-packages/yumexgui/gui.py", line 296, in show_update
    updated_pkgs = updated_po_list[0]
TypeError: 'NoneType' object is not subscriptable

Local variables in innermost frame:
upd_info: None
updated_po_list: None
self: <yumexgui.gui.PackageInfo instance at 0x16664d0>
updated_po: None
upd_info_list: None

How to reproduce
-----
1.hit update package information button just below package description button and above package changelog button
2.
3.

Comment 1 al morris 2011-04-08 17:18:24 UTC
Created attachment 490846 [details]
File: backtrace

Comment 2 al morris 2011-04-08 17:29:08 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.hit update package information button just below package description button and above package changelog button
2.
3.


Comment
-----
keeps crashing after restart and no matter what pkg is being looked at when the "Update information" button is pressed
I.E. start Yumex fresh, install things or not, but when "Update information" button is pressed a crash gets reported and the information window doesn't refresh

Doesn't seem to keep Yumex from working after the crash, just crashes again if you press the button.

Comment 4 Bob 2011-04-09 09:49:35 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Selected Virtualbox-4.0 from list.
2.Clicked on Update Information button.
3.Crash.

Comment 5 zayco 2011-04-10 18:42:46 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.update
2.
3.

Comment 6 Cyril Sluchanko 2011-04-11 10:34:17 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Does not know - missed the moment of crash.
2.
3.

Comment 7 Cyril Sluchanko 2011-04-11 10:34:49 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Does not know - missed the moment of crash.
2.
3.

Comment 8 al morris 2011-04-11 18:40:51 UTC
thanks for the quick fix

Comment 9 Claudio Guimarães 2011-04-14 11:20:19 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.search for "kde" in yumex
2.selected laughlin-kde-theme
3.click the button [update information]

Comment 10 Tim Lauridsen 2011-04-14 12:23:44 UTC
Please test the latest pre release located in this repo

http://repos.fedorapeople.org/repos/timlau/yumex/

Comment 11 Rogerio 2011-04-16 00:29:57 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.pedi informação sobre o referido pacote
2.
3.

Comment 12 Lawrence Graves 2011-04-16 22:57:43 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Attempting to install Adobe Air
2.
3.

Comment 13 Laurent MAURIN 2011-04-17 12:43:44 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.lauch yumex
2.search with "radio" keyword
3.select gnomeradio and view options

Comment 14 Dale Snell 2011-04-18 19:58:37 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.  Open yumex and show All.
2.  Select a package (in this case, "preferences-menus")
3.  Click on the package information icons on the right side of the lower pane, starting from the bottom.  "Update Information" will cause yumex to crash.


Comment
-----
I've only done this once, so I don't know how repeatable it is.

Comment 15 Matej 2011-04-19 10:09:25 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Run yumex
2. Typed a package search query
3. Selected one of the packages (to see its info)


Comment
-----
I would say this is not easily reproducible. But the stack trace could help. It seems like a 'null' value was treated as an array (null check missing?). Maybe the stack trace can give us a clue on how to reproduce the bug.

Comment 16 Dale Snell 2011-04-19 15:32:15 UTC
I just installed the version mentioned in comment 10, and it seems to work just fine.  Thanks, guys!

Comment 17 masoudjavadieh 2011-04-20 15:51:05 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. using yum to access all available pakages
2.
3.

Comment 18 Alan Edwards 2011-04-22 09:08:50 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open up Yumex
2. Selected "available" packages
3. Searched for "mad mp3"


Comment
-----
I had kb3 open at the time.

Comment 19 Kevin 2011-04-22 18:06:54 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open Yum Extender and enable rpmfusion.org update testing
2. Refresh and on lower pane selected UPDATE INFORMATION (right side second down)
3.Search for "nvidia".Click on xorg-x11-drv-nvidia-libs

Comment 20 Dmitry Petrich 2011-04-26 08:49:49 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Tried to get info from package
2.
3.

Comment 21 lev 2011-04-26 15:03:10 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Yumex
2. click on Undate information icon
3.

Comment 22 Fedora Update System 2011-04-27 06:57:50 UTC
yumex-3.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/yumex-3.0.3-1.fc15

Comment 23 Fedora Update System 2011-04-27 06:58:04 UTC
yumex-3.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yumex-3.0.3-1.fc14

Comment 24 Fedora Update System 2011-04-27 06:58:17 UTC
yumex-3.0.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yumex-3.0.3-1.el6

Comment 25 Fedora Update System 2011-04-27 20:19:58 UTC
Package yumex-3.0.3-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing yumex-3.0.3-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/yumex-3.0.3-1.el6
then log in and leave karma (feedback).

Comment 26 Yaric 2011-04-28 05:49:18 UTC
Package: yumex-3.0.2-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.yumex
2.
3.

Comment 27 Kevin 2011-04-28 19:56:24 UTC
Package yumex-3.0.3-1.fc14
Crash fixed.
Pane now show "No Update information"

Comment 28 Chris 2011-05-02 20:00:44 UTC
Package: yumex-3.0.2-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Highlighted package in the "Packages" window
2. Clicked "update information" icon 
3. Crash occured, ABRT launched.

Comment 29 Fedora Update System 2011-05-03 04:49:15 UTC
yumex-3.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2011-05-07 02:50:24 UTC
yumex-3.0.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2011-05-14 00:00:12 UTC
yumex-3.0.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.